### Method

# Gimp Item set_name

#### Declaration [src]

    gboolean
    gimp_item_set_name (
      GimpItem* item,
      const gchar* name
    )

#### Description [src]

Set the name of the specified item.

This procedure sets the specified item’s name.

Available since: | 2.8

#### Parameters

`name` | `const gchar*`
| The new item name.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `gboolean`
| TRUE on success.